### A free/open-source library for quantitative finance

Public Member Functions
Surface Class Reference

Surface abstract class More...

`#include <ql/math/surface.hpp>`

Inherits binary_function< Real, Real, Real >.

Inherited by TestSurface.

List of all members.

## Public Member Functions

virtual Real | operator() (Real x, Real y) const =0
virtual boost::shared_ptr< Domain > | domain () const =0

## Detailed Description

Surface abstract class